// Email検証済みエラー
export class EmailAlreadyVerifiedError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'EmailAlreadyVerifiedError';
  }
}
// ユーザー未発見エラー
export class UserNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'UserNotFoundError';
  }
}
// AuthorID重複エラー
export class AuthorIdAlreadyExistsError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AuthorIdAlreadyExistsError';
  }
}
// 不正なRole変更エラー
export class InvalidRoleChangeError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'InvalidRoleChangeError';
  }
}
// 暗号化パスワード不足エラー
export class EncryptionPasswordNeedError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'EncryptionPasswordNeedError';
  }
}
// 利用規約バージョン情報不在エラー
export class TermInfoNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TermInfoNotFoundError';
  }
}
// 利用規約バージョンパラメータ不在エラー
export class UpdateTermsVersionNotSetError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'UpdateTermsVersionNotSetError';
  }
}
// 代行操作不許可エラー
export class DelegationNotAllowedError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'DelegationNotAllowedError';
  }
}
